import { Options } from "./dagreWorker.ts";
import { Layout, Point } from "./layout.ts";
import { EdgePlaceholder } from "./placeholders.ts";
export declare class Dagre extends Layout {
    readonly _options: Options;
    constructor(graph: any, _options: Options);
    start(): Promise<this>;
    edgePath(ep: EdgePlaceholder, curveDepth: number): {
        path: string;
        labelPos: Point;
    };
}
